[PATCH nft 1/3] tests/shell: skip "table_onoff" test if kernel patch is missing

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Passing the test suite must not require latest kernel patches.  If test
"table_onoff" appears to not work due to a missing kernel patch, skip
it.

If you run a special kernel and expect that all test pass, set
NFT_TEST_FAIL_ON_SKIP=y to catch unexpected skips.

Fixes: bcca2d67656f ('tests: add test for dormant on/off/on bug')
Signed-off-by: Thomas Haller <thaller@xxxxxxxxxx>
---
 tests/shell/testcases/transactions/table_onoff | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tests/shell/testcases/transactions/table_onoff b/tests/shell/testcases/transactions/table_onoff
index 831d4614c1f2..d5ad09ef334c 100755
--- a/tests/shell/testcases/transactions/table_onoff
+++ b/tests/shell/testcases/transactions/table_onoff
@@ -11,7 +11,8 @@ delete table ip t
 EOF
 
 if [ $? -eq 0 ]; then
-	exit 1
+	echo "Command to re-awaken a dormant table did not fail. Assume https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c9bd26513b3a11b3adb3c2ed8a31a01a87173ff1 is missing"
+	exit 77
 fi
 
 set -e
-- 
2.41.0




[Index of Archives]     [Netfitler Users]     [Berkeley Packet Filter]     [LARTC]     [Bugtraq]     [Yosemite Forum]

  Powered by Linux